Bug 488276 (CVE-2009-0773) - CVE-2009-0773 Firefox 3 crashes in the JavaScript engine
Summary: CVE-2009-0773 Firefox 3 crashes in the JavaScript engine
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2009-0773
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-03-03 16:24 UTC by Josh Bressers
Modified: 2019-09-29 12:28 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-08 08:35:51 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:0315 normal SHIPPED_LIVE Critical: firefox security update 2009-03-05 00:20:38 UTC

Description Josh Bressers 2009-03-03 16:24:42 UTC
Mozilla developers identified and fixed several stability bugs in the
browser engine used in Firefox and other Mozilla-based products. Some of
these crashes showed evidence of memory corruption under certain
circumstances and we presume that with enough effort at least some of these
could be exploited to run arbitrary code.

Gary Kwong, and Timothee Groleau reported crashes in the JavaScript engine
which affected Firefox 3 only.

Comment 1 Tomas Hoger 2009-03-05 08:07:59 UTC
Public now via:
  http://www.mozilla.org/security/announce/2009/mfsa2009-07.html

Comment 2 Fedora Update System 2009-03-08 19:34:15 UTC
firefox-3.0.7-1.fc9, xulrunner-1.9.0.7-1.fc9, epiphany-2.22.2-8.fc9, epiphany-extensions-2.22.1-8.fc9, blam-1.8.5-6.fc9.1, chmsee-1.0.1-9.fc9, devhelp-0.19.1-9.fc9, galeon-2.0.7-7.fc9, gnome-python2-extras-2.19.1-24.fc9, gnome-web-photo-0.3-18.fc9, google-gadgets-0.10.5-3.fc9, gtkmozembedmm-1.4.2.cvs20060817-26.fc9, kazehakase-0.5.6-1.fc9.4, Miro-1.2.7-5.fc9, mozvoikko-0.9.5-7.fc9, mugshot-1.2.2-6.fc9, ruby-gnome2-0.17.0-6.fc9, totem-2.23.2-12.fc9, yelp-2.22.1-9.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 3 Fedora Update System 2009-03-08 19:35:36 UTC
firefox-3.0.7-1.fc10, xulrunner-1.9.0.7-1.fc10, epiphany-2.24.3-3.fc10, epiphany-extensions-2.24.0-5.fc10, blam-1.8.5-7.fc10, devhelp-0.22-5.fc10, evolution-rss-0.1.2-5.fc10, galeon-2.0.7-7.fc10, gecko-sharp2-0.13-5.fc10, gnome-python2-extras-2.19.1-27.fc10, gnome-web-photo-0.3-15.fc10, google-gadgets-0.10.5-3.fc10, kazehakase-0.5.6-1.fc10.4, Miro-2.0-4.fc10, mozvoikko-0.9.5-7.fc10, mugshot-1.2.2-6.fc10, pcmanx-gtk2-0.3.8-6.fc10, ruby-gnome2-0.18.1-4.fc10, yelp-2.24.0-6.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2009-03-30 17:23:56 UTC
seamonkey-1.1.15-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2009-03-31 20:29:58 UTC
seamonkey-1.1.15-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2009-03-31 20:38:25 UTC
seamonkey-1.1.15-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Jim Haynes 2009-08-10 21:33:05 UTC
I'm getting firefox 3.0.13 (and some previous releases) crashing in a Java-ish
operation.  To replicate:
open http://www.srh.noaa.gov/tsa
using the left hand menu bar, click on Radar Imagery-Tulsa
again using the left hand menu bar, click on Reflectivity Base Loop
It starts loading images and then crashes

rpm -qa | grep java shows

java-1.6.0-openjdk-plugin-1.6.0.0-20.b16.fc10.i386
java_cup-0.10k-1.i386
tzdata-java-2009k-1.fc10.noarch
java-1.6.0-openjdk-1.6.0.0-20.b16.fc10.i386
java-1.5.0-gcj-1.5.0.0-23.fc10.i386

(but it was doing this with some previous firefox/java releases as well)

Comment 8 Jim Haynes 2009-09-05 23:22:36 UTC
Tried it again today, the java stuff is now
java-1.6.0-openjdk-plugin-1.6.0.0-27.b16.fc11.i586
java-1.5.0-gcj-1.5.0.0-28.fc11.i586
java-1.6.0-openjdk-1.6.0.0-27.b16.fc11.i586

and it worked correctly and did not crash.
Thanks for fixing.

Comment 9 Jim Haynes 2009-09-07 21:37:54 UTC
Well, that was short-lived.  Now it's crashing again,
with no changes to the software from the above.

Comment 10 Tomas Hoger 2009-09-08 08:35:51 UTC
Jim, please open separate bug report against F10 / firefox for this issue.  You're unlikely to get any usable feedback in the oldish and most likely completely unrelated bug report.


Note You need to log in before you can comment on or make changes to this bug.